Bug 134568 - openoffice.org-3-RC build fails - with fix
Summary: openoffice.org-3-RC build fails - with fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-16 00:40 UTC by mikes
Modified: 2009-05-25 13:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mikes 2009-05-16 00:40:01 UTC
Both the openoffice.org-3 and openoffice.org-3-RC ports have a problem with patch files containing MS-DOS EOR markers (extra ^M or CTL-M).  openoffice-3 has this only in the patch file for "curl"; openoffice-3-RC has this with both "curl" and "neon".

The openoffice.org-3 pr is "ports/134305".

Fix: 

The fix is to start the build, then edit the two patch files ("./curl/curl-7.12.2.patch" and "./neon/neon.patch") and eliminate the extra "^M" characters.  I used "vi" and ":1,$?^V^M??" ("?" followed by control-V and control-M and another two "?" characters).  There is plenty of time to do this after the build starts, at least on a dual 2Ghz Xeon.
How-To-Repeat: Rebuild without patching
Comment 1 Li-Wen Hsu freebsd_committer 2009-05-17 09:05:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer.
Comment 2 Maho Nakata freebsd_committer 2009-05-25 13:10:20 UTC
State Changed
From-To: open->closed

Has already been fixed. thanks for your report.